Google Maps

Google Maps

Starter using Google Maps Native SDK

$0.00

Beto Muniz

Beto Muniz

Member since 2015

Details

Version:
1.0
Ionic:
1.x  
Platforms:
iOS, Android  
Released:
6 years ago
Updated:
6 years ago
Category:
Starters
Tags:
,

Starter using Google Maps Native SDK v2 and Ionic Framework created by obetomuniz.

Special thanks to wf9a5m75 for create the plugin used in this integration and all collaborators of Ionic Framework, Cordova Project and Cordova Plugins.

Dependencies

  • NodeJS and NPM installed (required)
  • Ionic CLI installed (required)
  • Cordova 5.x.x installed (required)
  • *Android and/or iOS environment installed (optional, but required if you don't have devices to test)

*To run the Starter inside an Android Virtual Device, you need request Google Play Services into the Android Emulator Environment and change the project configurations to use it.

Usage

For begin, download this project and run the following commands in your terminal:

$ cd ionic-google-maps-starter && npm install

When npm installation finish, you need put your credentials API_KEY_FOR_ANDROID and API_KEY_FOR_IOS generated in Google Console inside the package.json file.

After set your API Keys successfully, you need restore the state of project and to do this, please run:

$ ionic state restore

And now, when restore finish, you need follow the next steps in each platform supported:

iOS

Just run your project using the following commands:

$ ionic build ios $ ionic run ios

Note: If the version that you're testing is the iOS 9 or greater you'll change in the Build Settings tab the value Enable Bitcode to NO, like the example below:

example

Android

Just run the following command to open the project inside a device connected:

$ ionic run android --device

But, if you want run inside a Android Emulator, please read my considerations in Dependencies chapter of this README.md and run:

$ ionic run android

PROTIP: If you want use this starter with Crosswalk, check the wiki of plugin.

Observations

This Starter are using the wf9a5m75 version of plugin phonegap-googlemaps-plugin that you can found in wf9a5m75/phonegap-googlemaps-plugin.

License

MIT License © Beto Muniz